﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
    ViewData["Title"] = "Courses Page";
}

<div class="text-center mb-5">
    <h1 class="display-4">
        Welcome to LaZuitt
    </h1>
    <br />
    <h3>Hello, Admin</h3>
</div>

<div class="d-flex justify-content-between mb-3">
    <h2 class="d-inline">Courses Available</h2>
    <button class="btn btn-secondary text-light">
        <a class="nav-link text-dark" asp-area="" asp-controller="Courses" asp-action="CreateCourse">
            Create Course
        </a>
    </button>
</div>

<div class="row d-flex justify-content-between">
    <div class="card bg-white p-3 text-center" style="width: 22.5%; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2)">
        <h3>ASP.NET</h3>
        <img class="img-fluid h-50" src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRMOH00P2p0cF3CtYyLLUp_7yTJsoqpwIyxeUihYWnOszvwSbFcJbyv3NleB4ackTfap2I&usqp=CAU" />

        <p>ASP is a development framework for building web pages.</p>

        <div class="d-flex flex-column justify-content-center align-items-center">
            <button class="mb-2 btn btn-primary w-100">Edit</button>
            <button class="mb-2 btn btn-info w-100">Details</button>
            <button class="mb-2 btn btn-danger w-100">Delete</button>
        </div>

    </div>

    <div class="card bg-white p-3 text-center" style="width: 22.5%; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2)">
        <h3>Python</h3>
        <img class="img-fluid h-50" src="https://i.pinimg.com/originals/a8/53/14/a8531424a5fac660e4261f72ca817141.png" />

        <p>Python can be used on a server to create web applications.</p>

        <div class="d-flex flex-column justify-content-center align-items-center">
            <button class="mb-2 btn btn-primary w-100">Edit</button>
            <button class="mb-2 btn btn-info w-100">Details</button>
            <button class="mb-2 btn btn-danger w-100">Delete</button>
        </div>

    </div>

    <div class="card bg-white p-3 text-center" style="width: 22.5%; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2)">
        <h3>Django</h3>
        <img class="img-fluid h-50" src="https://youteam.io/blog/wp-content/uploads/2022/06/django-icon-0.png" />

        <p>Django is a Python framework that makes it easier to create websites using Python.</p>

        <div class="d-flex flex-column justify-content-center align-items-center">
            <button class="mb-2 btn btn-primary w-100">Edit</button>
            <button class="mb-2 btn btn-info w-100">Details</button>
            <button class="mb-2 btn btn-danger w-100">Delete</button>
        </div>

    </div>

    <div class="card bg-white p-3 text-center" style="width: 22.5%; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2)">
        <h3>JavaScript</h3>
        <img class="img-fluid h-50" src="https://upload.wikimedia.org/wikipedia/commons/6/6a/JavaScript-logo.png" />

        <p>JavaScript is the most known programming language of the web</p>

        <div class="d-flex flex-column justify-content-center align-items-center">
            <button class="mb-2 btn btn-primary w-100">Edit</button>
            <button class="mb-2 btn btn-info w-100">Details</button>
            <button class="mb-2 btn btn-danger w-100">Delete</button>
        </div>

    </div>

</div>
